import { jsx } from "react/jsx-runtime";
import { TokenMC as TokenMC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MC", "data-name": "TokenMC", ...props, children: /* @__PURE__ */ jsx(TokenMC$1, { variant }) });
  }
);
TokenMC.displayName = "TokenMC";
Object.assign(TokenMC, { isGdsIcon: true });
export {
  TokenMC
};
